Subject: Re: [PATCH] Update Japanese translation

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 15 Mar 2008 02:27:35 -0400

Junio C Hamano <[email-masked]> wrote:
> "Shawn O. Pearce" <[email-masked]> writes:
> 
> >>  "Report-Msgid-Bugs-To: \n"
> >> -"POT-Creation-Date: 2007-11-24 10:36+0100\n"
> >> -"PO-Revision-Date: 2007-12-05 06:12+0900\n"
> >> +"POT-Creation-Date: 2008-02-16 21:24+0100\n"
> >> +"PO-Revision-Date: 2008-03-14 20:32+0900\n"
> >
> > Unfortunately this patch does not apply after Peter's regeneration
> > of the POT file (0212242d66):
> >
> >   "POT-Creation-Date: 2008-03-14 07:18+0100\n"
> 
> Here is the guide to your translators, in your po/README:
 
>             $ msgmerge -U po/af.po po/git-gui.pot

Gah, I forgot about that.
 
> Shawn, I think you guys should nail down the workflow right first, and
> then mention the above a bit more prominently to avoid future accidents
> like this.
> 
> It is perfectly fine if Peter regenerated the POT file for everybody as
> the i18n coordinator, but the thing is, I think that regeneration should
> have been done *before* you asked for translators to send in the
> translation updates, not _after_ they have fetched from you in response to
> your call for help and started working.

Yes.  I clearly dropped the ball on that one.  I did try by asking
for assistance _before_ a tagged release, but I failed to make sure
the POT was up to date first.

> It appears the patch was done on top of 48ed49f, so I would imagine a
> sensible approach would be for _you_ to do:
> 
>     $ git checkout 48ed49f
...
>     $ msgmerge -U po/ja.po po/git-gui.pot
>     $ git commit -m 'Adjusted older translation to updated POT' po/ja.po

Done, and now on repo.or.cz, master branch.  I did actually try to
go back to that version, apply it, and merge it forward, but I forgot
about msgmerge as a means of dealing with a conflicted PO file.

> Then ask Nana to re-fetch and fix that up.  At least that would reduce the
> need for re-translation.

Nana, hopefully a re-fetch will be easier to fix up.  :)

-- 
Shawn.